corda / net.corda.node.utilities.registration / NetworkRegistrationService

# NetworkRegistrationService

`interface NetworkRegistrationService`

### Functions

retrieveCertificates | `abstract fun retrieveCertificates(requestId: String): Array<Certificate>?` Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.
submitRequest | `abstract fun submitRequest(request: PKCS10CertificationRequest): String` Submits a CSR to the signing service and returns an opaque request ID.

### Inheritors

HTTPNetworkRegistrationService | `class HTTPNetworkRegistrationService : NetworkRegistrationService`